import 'package:lottie/lottie.dart';

class CompositionProvider extends LottieProvider {
  CompositionProvider(this.composition, {LottieImageProviderFactory? imageProviderFactory})
      : super(imageProviderFactory: imageProviderFactory);

  final LottieComposition composition;

  @override
  Future<LottieComposition> load() async {
    return composition;
  }
}
